------------------------------------------------------------------------------------
--Name:  	shengdan5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-11-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(156, 72)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:AddSimplePlayer(1063777, 160, 78, "Sammy", 0, 0)
Player_1:SetAction(331)
Player_1:SetFrameInterval(100000)
Player_1:SetDir(7)
local npc_0 = CppScriptMgr:AddSimplePlayer(1570, 153, 67, "", 0, 0)
local npc_1 = CppScriptMgr:AddSimplePlayer(1570, 155, 87, "", 0, 0)
local npc_3 = CppScriptMgr:AddSimplePlayer(1570, 170, 71, "", 0, 0)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(168, 84)
player_0:SetDir(3)
CppScriptMgr:WaitMilSec(500)
local Effect_1 = CppScriptMgr:AddEffect("yuanshen_dx3", 153, 67, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("Attack35r", 153, 67, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_2 = CppScriptMgr:AddEffect("yuanshen_dx5", 155, 87, 33, 1, 1, 1)
local effect_5 = CppScriptMgr:AddEffect("Attack35r", 155, 87, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_3 = CppScriptMgr:AddEffect("yuanshen_dx4", 170, 71, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("Attack35r", 170, 71, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
npc_0:Say("Slumbering souls, heed my call!", 1500)
CppScriptMgr:WaitMilSec(1500)
local effect_2 = CppScriptMgr:AddEffect("zf2-e233", 160, 78, 33, 1, 1, 1)
effect_2:Scale(1, 1, 1)
npc_0:Say("Power of life, return to the body!", 1500)
npc_1:Say("Power of life, return to the body!", 1500)
npc_3:Say("Power of life, return to the body!", 1500)
CppScriptMgr:WaitMilSec(1500)
npc_0:Say("Power of revival, bestow new life!", 1500)
npc_1:Say("Power of revival, bestow new life!", 1500)
npc_3:Say("Power of revival, bestow new life!", 1500)
local effect_3 = CppScriptMgr:AddEffect("zf2-e128", 160, 78, 33, 1, 1, 1)
effect_3:Scale(1, 1, 1)
CppScriptMgr:WaitMilSec(980)
CppScriptMgr:ShakeScrEffect(1)
local effect_1 = CppScriptMgr:AddEffect("irongate_superc", 160, 78, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(1111)
local effect_0 = CppScriptMgr:AddEffect("DoubleDance-999", 160, 78, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("I seem to have had a very long dream...", 2000)
CppScriptMgr:WaitMilSec(3500)